"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.createDriver = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _axios = _interopRequireDefault(require("axios"));

var createDriver = function createDriver(axiosInstance) {
  return function (requestConfig) {
    var abortSource = _axios["default"].CancelToken.source();

    var responsePromise = axiosInstance((0, _extends2["default"])({
      cancelToken: abortSource.token
    }, requestConfig)).then(function (response) {
      return {
        data: response.data
      };
    });

    responsePromise.cancel = function () {
      return abortSource.cancel();
    };

    return responsePromise;
  };
};

exports.createDriver = createDriver;